<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2010 (http://www.altova.com) by Vaclav Snasel (Logica Czech Republic s.r.o.) -->
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<!-- edited with XMLSPY v2004 rel. 4 U (http://www.xmlspy.com) by Jakub Jicha (LogicaCMG s.r.o.) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/oze/delegate" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/oze/delegate" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="RESDELEGATE">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:ResSenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ResReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předešlou zprávu</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Data" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Předání oprávnění - data</xsd:documentation>
						<xsd:documentation xml:lang="EN">Locality and time interval data</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:attribute name="delegate-id">
							<xsd:annotation>
								<xsd:documentation>Id žádosti</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="10"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="delegate-action" use="optional">
							<xsd:annotation>
								<xsd:documentation>Provedená akce</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="CREATE">
										<xsd:annotation>
											<xsd:documentation>Založení návrhu</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="CHANGE">
										<xsd:annotation>
											<xsd:documentation>Změna návrhu</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="APPROVAL">
										<xsd:annotation>
											<xsd:documentation>Schválení návrhu</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="REJECTION">
										<xsd:annotation>
											<xsd:documentation>Zamítnutí návrhu</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="EXPIRATION">
										<xsd:annotation>
											<xsd:documentation>Vypršení oprávnění</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="sender-ean" type="ote:mp_id" use="required">
							<xsd:annotation>
								<xsd:documentation>EAN výrobce</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="sender-eic" type="ote:mp_id">
							<xsd:annotation>
								<xsd:documentation>EIC výrobce</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="signer-ean" type="ote:mp_id" use="required">
							<xsd:annotation>
								<xsd:documentation>EAN zprostředkovatele</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="signer-eic" type="ote:mp_id">
							<xsd:annotation>
								<xsd:documentation>EIC zprostředkovatele</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="act-type" use="required">
							<xsd:annotation>
								<xsd:documentation>Typ činnosti</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="01">
										<xsd:annotation>
											<xsd:documentation>Registrační data RÚT</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="02">
										<xsd:annotation>
											<xsd:documentation>Registrace zdroje/nároku na podporu</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="03">
										<xsd:annotation>
											<xsd:documentation>Měsíční výkaz</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="status" use="required">
							<xsd:annotation>
								<xsd:documentation>Stav předání oprávnění</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="PROPOSED">
										<xsd:annotation>
											<xsd:documentation>Návrh</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="ACCEPTED">
										<xsd:annotation>
											<xsd:documentation>Schváleno</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="REJECTED">
										<xsd:annotation>
											<xsd:documentation>Zamítnuto</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="date-from" type="xsd:date" use="required">
							<xsd:annotation>
								<xsd:documentation>Datum od</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="date-to" type="xsd:date" use="required">
							<xsd:annotation>
								<xsd:documentation>Datum do</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="delegate-date-time" type="xsd:dateTime" use="optional">
							<xsd:annotation>
								<xsd:documentation>Datum a čas předání oprávnění</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="ds:Signature" minOccurs="0"/>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="EN">Message Identification</xsd:documentation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message code that specifies the message content.</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="PL3">
							<xsd:annotation>
								<xsd:documentation>Opis předání oprávnění na zprostředkovatele</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze, zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions; so far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze. Zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď 1=ANO, 0=NE</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response 1=YES, 0=NO</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="interval" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Interval platnosti dat</xsd:documentation>
					<xsd:documentation xml:lang="EN">Data validity interval</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:pattern value="\d{4}-\d\d-\d\dT\d\d:\d\d(:\d\d)?/\d{4}-\d\d-\d\dT\d\d:\d\d(:\d\d)?"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="time-offset" use="optional" default="+1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Časový posun</xsd:documentation>
					<xsd:documentation xml:lang="EN">Time off-set</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:pattern value="[-+]?\d"/>
						<xsd:pattern value="[-+]?1\d"/>
						<xsd:pattern value="[-+]?2[01234]"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="language" type="ote:language" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jazyk zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message language</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
